Loading...
Searching...
No Matches
coap_dtls_cpsk_t Struct Reference
Application API » DTLS Support

The structure used for defining the Client PSK setup data to be used. More...

`#include <coap_dtls.h>`

Collaboration diagram for coap_dtls_cpsk_t:
[legend]

## Data Fields

uint8_t | version
uint8_t | reserved [7]
| Set to COAP_DTLS_CPSK_SETUP_VERSION to support this version of the struct.
coap_dtls_ih_callback_t | validate_ih_call_back
| Identity Hint check callback function.
void * | ih_call_back_arg
| Passed in to the Identity Hint callback function.
char * | client_sni
| If not NULL, SNI to use in client TLS setup.
coap_dtls_cpsk_info_t | psk_info
| Client PSK definition.

## Detailed Description

The structure used for defining the Client PSK setup data to be used.

Definition at line 378 of file coap_dtls.h.

## Field Documentation

## client_sni

char* coap_dtls_cpsk_t::client_sni

If not NULL, SNI to use in client TLS setup.

Owned by the client app and must remain valid during the call to coap_new_client_session_psk2() Note: Not supported by TinyDTLS.

Definition at line 402 of file coap_dtls.h.

## ih_call_back_arg

void* coap_dtls_cpsk_t::ih_call_back_arg

Passed in to the Identity Hint callback function.

Definition at line 399 of file coap_dtls.h.

## psk_info

coap_dtls_cpsk_info_t coap_dtls_cpsk_t::psk_info

Client PSK definition.

Definition at line 407 of file coap_dtls.h.

## reserved

uint8_t coap_dtls_cpsk_t::reserved[7]

Set to COAP_DTLS_CPSK_SETUP_VERSION to support this version of the struct.

Reserved - must be set to 0 for future compatibility

Definition at line 383 of file coap_dtls.h.

## validate_ih_call_back

coap_dtls_ih_callback_t coap_dtls_cpsk_t::validate_ih_call_back

Identity Hint check callback function.

If not NULL, is called when the Identity Hint (TLS1.2 or earlier) is provided by the server. The appropriate Identity and Pre-shared Key to use can then be returned.

Definition at line 398 of file coap_dtls.h.

## version

uint8_t coap_dtls_cpsk_t::version

Definition at line 379 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h